Skip to main content
POST
/
api2
/
v4
/
projects
/
{projectUid}
/
jobs
/
qualityAssurances
/
run
Run quality assurance (batch)
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v4/projects/{projectUid}/jobs/qualityAssurances/run \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "jobs": [
    {
      "uid": "<string>"
    }
  ],
  "maxQaWarningsCount": 500,
  "settings": {
    "initialSegment": {
      "uid": "<string>"
    },
    "maxQaWarningsCount": 500,
    "warningTypes": []
  }
}
'
{
  "finished": true,
  "segmentWarnings": [
    {
      "ignoredChecks": [
        "<string>"
      ],
      "segmentId": "<string>",
      "warnings": [
        {
          "type": "<string>",
          "id": "<string>",
          "ignored": true,
          "repetitionGroupId": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

projectUid
string
required

UID of the project

Body

application/json

Batch QA run configuration

jobs
object[]
required

UIDs of jobs to run QA on; 1–500 jobs

Required array length: 1 - 500 elements
maxQaWarningsCount
integer<int32>

Maximum number of QA warnings in result, default: 100. For efficiency reasons QA warnings are processed with minimum segments chunk size 10, therefore slightly more warnings are returned.

Required range: 1 <= x <= 1000
settings
object

Response

OK

finished
boolean

True if all QA checks completed; false if truncated by maxQaWarningsCount

segmentWarnings
object[]

Warnings grouped by segment; only segments with warnings are included